ru.bitel.bgbilling.plugins.dispatch.server.sender

## Interface Sender

- All Known Implementing Classes:
    EmailSender

      public interface Sender

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `send(Contact contact, java.lang.String title, java.lang.String messageBody, java.util.List<javax.activation.DataSource> messageFiles)`
    `default void` | `send(Contact contact, java.lang.String title, java.lang.String messageBody, java.util.List<javax.activation.DataSource> messageFiles, Subscription subscription)` Метод `send(Contact, String, String, List)`, дополненный информацией о подписке, в которой есть доступ к рассылке, контактам, условиям отправки и т.д.

- - ### Method Detail

    - #### send

          void send(Contact contact,
                    java.lang.String title,
                    java.lang.String messageBody,
                    java.util.List<javax.activation.DataSource> messageFiles)
             throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### send

          default void send(Contact contact,
                            java.lang.String title,
                            java.lang.String messageBody,
                            java.util.List<javax.activation.DataSource> messageFiles,
                            Subscription subscription)
                     throws ru.bitel.bgbilling.common.BGException

      Метод `send(Contact, String, String, List)`, дополненный информацией о подписке, в которой есть доступ к рассылке, контактам, условиям отправки и т.д. Сделан как метод по умолчанию, что не сломать имеющиеся классы-реализации.
      Parameters:
        `contact` - контакт, которму рассылается сообщение
        `title` - заголовок сообщения (для email это тема)
        `messageBody` - основной текст сообщения, которое будет отправлено подписчику
        `messageFiles` - прикладываемые файлы в виде DataSource
        `subscription` - подписка, по которой отправляется сообщение
      Throws:
        `ru.bitel.bgbilling.common.BGException`